/*
 * Copyright 2024 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */
#include "pydoc_macros.h"
#define D(...) DOC(gr, qtgui, __VA_ARGS__)
/*
  This file contains placeholders for docstrings for the Python bindings.
  Do not edit! These were automatically extracted during the binding process
  and will be overwritten during the build process
 */

static const char* __doc_gr_qtgui_matrix_sink = R"doc(A graphical sink that displays a matrix.

This block displays a matrix as a 2D plot. The matrix is displayed as a contour plot, with the color of each contour determined by the value of the matrix at that point.


The matrix is displayed as a 2D plot, with the x and y axes corresponding to the row and column indices of the matrix, respectively. The z axis corresponds to the value of the matrix at that point.

Constructor Specific Documentation:

Build a matrix sink block.

Args:
    name : The name of the block.
    num_cols : The number of columns in the matrix.
    vlen : The vector length of the matrix.
    contour : Whether or not to display the matrix as a contour plot.
    color_map : The color map to use for the contour plot.
    interpolation : The interpolation method to use for the contour plot.
    parent : The parent QWidget.)doc";

static const char* __doc_gr_qtgui_matrix_sink_matrix_sink_0 = R"doc()doc";

static const char* __doc_gr_qtgui_matrix_sink_matrix_sink_1 = R"doc()doc";

static const char* __doc_gr_qtgui_matrix_sink_make = R"doc(A graphical sink that displays a matrix.

This block displays a matrix as a 2D plot. The matrix is displayed as a contour plot, with the color of each contour determined by the value of the matrix at that point.


The matrix is displayed as a 2D plot, with the x and y axes corresponding to the row and column indices of the matrix, respectively. The z axis corresponds to the value of the matrix at that point.

Constructor Specific Documentation:

Build a matrix sink block.

Args:
    name : The name of the block.
    num_cols : The number of columns in the matrix.
    vlen : The vector length of the matrix.
    contour : Whether or not to display the matrix as a contour plot.
    color_map : The color map to use for the contour plot.
    interpolation : The interpolation method to use for the contour plot.
    parent : The parent QWidget.)doc";

static const char* __doc_gr_qtgui_matrix_sink_exec_ = R"doc()doc";

static const char* __doc_gr_qtgui_matrix_sink_qwidget = R"doc()doc";

static const char* __doc_gr_qtgui_matrix_sink_set_x_start = R"doc()doc";

static const char* __doc_gr_qtgui_matrix_sink_set_x_end = R"doc()doc";

static const char* __doc_gr_qtgui_matrix_sink_set_y_start = R"doc()doc";

static const char* __doc_gr_qtgui_matrix_sink_set_y_end = R"doc()doc";

static const char* __doc_gr_qtgui_matrix_sink_set_z_max = R"doc()doc";

static const char* __doc_gr_qtgui_matrix_sink_set_z_min = R"doc()doc";

static const char* __doc_gr_qtgui_matrix_sink_set_x_axis_label = R"doc()doc";

static const char* __doc_gr_qtgui_matrix_sink_set_y_axis_label = R"doc()doc";

static const char* __doc_gr_qtgui_matrix_sink_set_z_axis_label = R"doc()doc";
